<?php

namespace App\Repos\System\Settings\Legal;

class EducationRepo
{
    public const SCHOOL_DROP_OUT = 'school_drop_out';

    public const SCHOOL = 'school';

    public const MIDDLE_SCHOOL = 'middle_school';

    public const UNFINISHED_HIGH_EDUCATION = 'Unfinished_high_education';

    public const HIGH_EDUCATION = 'high_education';

    public const MASTERS = 'masters';

    public const PHD = 'phd';

    /**
     * Education statuses
     */
    public static function values(): array
    {
        return [
            self::SCHOOL_DROP_OUT => __('School drop out'),
            self::SCHOOL => __('School'),
            self::MIDDLE_SCHOOL => __('Middle school'),
            self::UNFINISHED_HIGH_EDUCATION => __('Unfinished high education'),
            self::HIGH_EDUCATION => __('High education'),
            self::MASTERS => __('Masters ED'),
            self::PHD => __('PHD'),
        ];
    }

    /**
     * Default education status
     */
    public static function default(): string
    {
        return self::HIGH_EDUCATION;
    }
}
